using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Postgraduate")]
    public partial class Postgraduate : Entity, IAuditUpdate, IAuditAdd
    {
        // public Guid Id { get; set; }

        public Guid DoctorId { get; set; }

        [Column(TypeName = "date")]
        public DateTime? BeginDate { get; set; }

        [Column(TypeName = "date")]
        public DateTime? EndDate { get; set; }


        [StringLength(50)]
        public string Training { get; set; } = string.Empty;

        [StringLength(100)]
        public string Major { get; set; } = string.Empty;

        [StringLength(100)]
        public string Hospital { get; set; } = string.Empty;

        [StringLength(100)]
        public string School { get; set; } = string.Empty;
        [StringLength(100)]
        public string Country { get; set; } = string.Empty;

        [StringLength(100)]
        public string Province { get; set; } = string.Empty;

        [StringLength(100)]
        public string City { get; set; } = string.Empty;

        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; } = DateTime.Now;
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }

        [StringLength(50)]  
        public string TrainingCN { get; set; } = string.Empty;

        [StringLength(100)]
        public string MajorCN { get; set; } = string.Empty;

        [StringLength(100)]
        public string HospitalCN { get; set; } = string.Empty;

        [StringLength(100)]
        public string SchoolCN { get; set; } = string.Empty;
        [StringLength(100)]
        public string CountryCN { get; set; } = string.Empty;

        [StringLength(100)]
        public string ProvinceCN { get; set; } = string.Empty;

        [StringLength(100)]
        public string CityCN { get; set; } = string.Empty;
    }
}
